<?php

if (!defined('_JOOMLMS_FRONT_HOME')) { define('_JOOMLMS_FRONT_HOME', JPATH_SITE .DS. 'components' .DS. 'com_joomla_lms'); }

require_once (_JOOMLMS_FRONT_HOME . DS . 'libraries' .  DS . 'servicelocator.php');
\LMS\Libraries\ServiceLocator::registerNamespace('LMS', _JOOMLMS_FRONT_HOME);
\LMS\Libraries\ServiceLocator::registerNamespace('Webex', __DIR__);
\LMS\Libraries\ServiceLocator::activate();


use LMS\Tools\Conference\Base;
use Webex\Repository;

/**
 * Plugin that provides functionality for build-in Joomla LMS conferencing
 */
class plgSystemWebexConference extends Base\Plugin
{

	/**
	 * @var JLMSXML
	 */
	private $xmlService = null;

    public function __construct( &$subject, $config )
    {
		$this->dir = __DIR__ . '/templates/';
        parent::__construct( $subject, $config );
    }


	protected function initServices($diContainer)
	{
		parent::initServices($diContainer);

		$this->responseService->setSchemaDir(__DIR__ . '/schemas/');
		$this->xmlService = JLMSFactory::getXMLParser();
	}

    /*********************************************************************************
     *
     *
     *                              PRIVATE METHODS
     *
     *
     ********************************************************************************/

    /**
     * @param $diContainer
     */
    protected function beforeEventCalled($diContainer)
    {
        parent::beforeEventCalled($diContainer);

    }

    /**
     * @param $diContainer
     * @return array
     */
    protected function _getParamsStartPage($diContainer)
    {
        $model = $this->getConferenceBookingRepository($this->diContainer['db']);
        $conferences = $model->getAvailable($diContainer['courseID'], $diContainer['config']->get('offset'), true);
        return array(
            'session' => $diContainer['session'],
            'ItemID' => $diContainer['ItemID'],
            'option' => $diContainer['option'],
            'courseID' => $diContainer['courseID'],
            'userType' => $diContainer['usertype'],
            'conferences' => $conferences
        );
    }

    /**
     * @param $diContainer
     * @return array
     */
    protected function _getParamsEnterRoom($diContainer)
    {
        $config = $diContainer['config'];
        return array(
            'session' => $diContainer['session'],
            'liveSite' => $config->get('live_site'),
            'usertype' => $diContainer['usertype'],
            'recordedSession' => $diContainer['recordedSession'],
            'ItemID' => $diContainer['ItemID'],
            'courseID' => $diContainer['courseID'],
            'hostURL' => $diContainer['hostURL']
        );
    }



    protected function getConferenceBookingRepository($db)
    {
        return new Repository\Booking(array('db' => $db));
    }

    protected function getConferenceRecordRepository($db)
    {
		return new Repository\Record(array('db' => $db));
    }


}

