<?php
namespace LMS\Tools\Coursebuilder\Controllers;

use LMS\Libraries\Base;

defined('_JEXEC') or die;

class Module extends Base\Controller
{
	protected $modelModule;
	
	public function __construct($config=array())
	{
		parent::__construct($config);
	}

	public function add()
	{
		$this->modelModule = $this->getModel('Module');
		$this->store();
	}

	public function edit()
	{
		$Itemid = $this->input->get('Itemid', 0);
		$courseId = $this->input->get('course_id', 0);
		$position = $this->input->get('position', '');
		$jextid = $this->input->get('jextid', 0);
		$id = $this->input->get('modid', 0);

		$model = $this->getModel('Module');
		$model->setState('courseId', $courseId);
		$model->setState('position', $position);
		$model->setState('jextid', $jextid);
		$model->setState('id', $id);

		$this->populateModel($model);

		$view	= $this->getView('module', 'html');
		$view->setModel($model, true);
		$view->edit();
	}
	
	public function save()
	{
		$modId = $this->input->get('modid', 0);
		$requestData = $this->input->getArray( array(
			'jform' => array(
				'title' => 'string',
				'content' => 'raw',
				'id' => 'int',
				'module' => 'string',
				'client_id' => 'int'
			)
		));
		$formData = $requestData['jform'];

		$this->modelModule = $this->getModel('Module');
		$this->modelModule->setState('data', $formData);
		$this->modelModule->setState('id', $modId);
				
		$this->store();
	}

	public function store()	
	{		
		$Itemid = $this->input->get('Itemid', 0);
		$courseId = $this->input->get('course_id', 0);
		$position = $this->input->get('position', '');
		$jextid = $this->input->get('jextid', 0);

		$model = $this->modelModule;
		$model->setState('courseId', $courseId);
		$model->setState('position', $position);
		$model->setState('jextid', $jextid);
		$this->populateModel($model);

		$model->save();

		$link = 'index.php?option=com_joomla_lms';
//		$link .= '&task=coursebuilder.setupmodules.show';
		$link .= '&task=coursebuilder.builder.show';
		$link .= '&step=5';
		$link .= '&course_id='.$courseId;
		$link .= '&Itemid='.$Itemid;

		$this->setRedirect(\JLMSRoute::_($link));
	}
	
	public function remove()
	{			
		$Itemid = $this->input->getInt('Itemid', 0);
		$courseId = $this->input->getInt('course_id', 0);
		$id = $this->input->getInt('modid', 0);
		$redirect = $this->input->getVar('redirect', base64_encode(\JRoute::_('index.php?option=com_joomla_lms')));		

		$model = $this->getModel('Module');
		$model->setState('courseId', $courseId);
		$model->setState('id', $id);		
		$this->populateModel($model);
		
		$model->remove();
		
		$this->setRedirect(base64_decode($redirect));
	}
}