<?php
namespace LMS\Tools\Coursebuilder\Repositories;

use LMS\Libraries\Base;
use LMS\Tools\Coursebuilder\Tables;

class Modules extends Base\Repository
{
	public function __construct($options = array())
	{
		parent::__construct($options);
		$this->table = new Tables\Modules($this->db);
	}

	public function getMaxOrdering($position, $published)
	{
		$alias = $this->table->getTableAlias();
		$table = $this->table->getTableName();

		$query = $this->db->getQuery(true);

		$query->from($this->table);
		$query->select('MAX('.$alias.'.ordering)');
		$query->where($this->db->quoteName($alias.'.position').' = '.$this->db->quote($position));

		$this->db->setQuery($query);
		return $this->db->loadResult();
	}

	public function getModuleByModule($module)
	{
		return $this->getByFilter(
			array(
				'module' => $module
			)
		);
	}

	public function getModuleByModuleAndPosition($module, $position)
	{
		return $this->getByFilter(
			array(
				'position' => $position,
				'module' => $module,
			)
		);
	}

	protected function prepareFilter($query, &$filterOptions)
	{

		$alias = $this->table->getTableAlias();

		$conditions = array();

		if(isset($filterOptions['position']) && $filterOptions['position']){
			$conditions[] = $alias.".position = ".$this->db->quote($filterOptions['position']);
		}

		if(isset($filterOptions['module']) && $filterOptions['module']){
			$conditions[] = $alias.".module = ".$this->db->quote($filterOptions['module']);
		}

		$query->where($conditions);

		return parent::prepareFilter($query, $filterOptions); // TODO: Change the autogenerated stub
	}


}