<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * 
 */

namespace LMS\Tools\Courses\Repositories;
 
defined('_JEXEC') or die;

use LMS\Libraries\Base;
use LMS\Tools\Courses\Tables;
	
class Course extends Base\Repository 
{
	protected $id;
		
	public function __construct($options = array()){
		parent::__construct($options);
		
		$this->table = new Tables\Courses($this->db);
	}
	
	protected function prepareFilter($query, &$filterOptions)
	{			
		if(!empty($filterOptions['search'])) {
			$search = $filterOptions['search'];
			$query->where('
				UPPER(course.title) LIKE UPPER(\'%'.$search.'%\') 				
			');			
		}
		
		if(!empty($filterOptions['user_id'])){
			if(is_array($filterOptions['user_id'])) {
				$strUsers = implode(',', $filterOptions['user_id']);
			} else {
				$strUsers = $filterOptions['user_id'];
			}
			
			$query->where('course.owner_id IN ('.$strUsers.')');
		}
		
		return $query;
	}	
}
?>