<?php
namespace LMS\Tools\Homework\Model;

use LMS\Libraries\Base;
use LMS\Libraries\ServiceLocator;
use LMS\Tools\Homework\Repositories;

defined('_JEXEC') or die;


class Results extends Base\Model
{
	protected $name = 'Results';
	protected $repository;

	public function __construct($options)
	{
		parent::__construct($options);

		$this->modelDir = __DIR__;
		$this->repository = isset($options['repository']) ? $options['repository'] : new Repositories\HomeworkResults(array('db' => $this->_db));
	}

	public function getListQuery()
	{
		$filterOptions = array();

		$filterOptions['courseId'] = $this->getState('courseId', 0);
		$filterOptions['homeworkId'] = $this->getState('homeworkId', 0);

		$filterOptions['status'] = $this->getState('filter.status', 0);
		$filterOptions['groupId'] = $this->getState('filter.group_id', 0);
		$filterOptions['userId'] = $this->getState('filter.user_id', 0);

//		$filterOptions['start'] = $this->getState('list.start');
//		$filterOptions['limit'] = $this->getState('list.limit');

		$filterOptions['list.ordering'] = $this->getState('list.ordering');
		$filterOptions['list.direction'] = $this->getState('list.direction');

		return $this->repository->getListQuery($filterOptions);
	}

	public function getItems()
	{
		$items = parent::getItems();

		$groupRepository = ServiceLocator::get('groupRepository');

		foreach($items as $item){
			$item->groupNames = array();
			$item->listGroupNames = '';

			$groups = $groupRepository->getByFilter(
				array(
					'user_id' => $item->user_id
				)
			);

			if(is_array($groups) && count($groups)){
				foreach($groups as $group){
//					$item->groupNames[] = $group->ug_name;
					$item->groupNames[] = $group->name;
				}
				$item->listGroupNames = implode(', ', $item->groupNames);
			}
		}

//		echo '<pre>';
//		print_r($items);
//		echo '</pre>';

		return $items;
	}

}