<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * 
 */

namespace LMS\Tools\Mailbox\Repositories;
 
defined('_JEXEC') or die;

use LMS\Libraries\Base;
use LMS\Tools\Mailbox\Tables;

/** 
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * @since       3.1
 */
class Recipient extends Base\Repository
{	
	public function __construct($options = array()) 
	{
		parent::__construct($options);
		$this->table = new Tables\MessagesTo($this->db);				
	}
	
	protected function prepareFilter($query, &$filterOptions)
	{			
		
		if(!empty($filterOptions['message_id'])){
			if(is_array($filterOptions['message_id'])) {
				$strMessages = implode(',', $filterOptions['message_id']);
			} else {
				$strMessages = $filterOptions['message_id'];
			}
			
			$query->where('recipient.message_id IN ('.$strMessages.')');
		}		
		
		return parent::prepareFilter($query, $filterOptions);
	}
}
