jQuery(function( $ ) {	
	var studentsContext = 'students',
		staffContext = 'staff',
		groupsContext = 'groups',				
		prefix = 'studentsmodal',
		students = [],		
		recipients = JSON.parse(window.parent.document.getElementById('jform_recipients').value),
		pageUrl = 'index.php?option=com_joomla_lms&task=users.users.studentslistmodal',
		extIds = [],
		courseId = Jlms.courseId;
		badges = $('.tabpanel').eq(0).find('.badge'),	
		Counter = function(context) {
			var badge;			
			switch(context) {				
				case staffContext: 
					badge = badges.eq(1);
				break;
				case groupsContext: 
					badge = badges.eq(2);
				break;
				case studentsContext:
				default:
					badge = badges.eq(0);
			}
			
			return {
				inc: function(value){					
					if(parseInt(badge.text()) == 0) {
						badge.show();
					}
					
					if(typeof(value) === 'undefined') {
						badge.text(parseInt(badge.text()) + 1);
					} else {					
						badge.text(parseInt(badge.text()) + parseInt(value));
					}
				},			
				dec: function(value){
					if(typeof(value) === 'undefined') {
						badge.text(parseInt(badge.text()) - 1);
					} else {
						badge.text(parseInt(badge.text()) - value);
					}
					
					if(parseInt(badge.text()) == 0) {
						badge.hide();
					}
				},
				set: function(value){
					if(parseInt(badge.text()) == 0) {
						if(value != 0) {
							badge.show();
						} else {
							badge.hide();
						}
					} else {
						if(value == 0) {
							badge.hide();
						}
					}
					
					badge.text(parseInt(value));
				},			
				value: function(value){
					return badge.text();
				}
			}
		},		
		counterStudents = new Counter(studentsContext),
		counterStaff = new Counter(staffContext),
		counterGroups = new Counter(groupsContext),
		widgetStudents = new Jlms.Widget.Table({
			type: studentsContext,
			useExt: true,
			rowclickon: function(){						
				counterStudents.inc();					
			},	
			rowclickoff: function(){
				counterStudents.dec();
				allBtnStudents.trigger('unmark');
			}
		}),
		widgetStaff = new Jlms.Widget.Table({
			type: staffContext,
			rowclickon: function(){						
				counterStaff.inc();					
			},	
			rowclickoff: function(){
				counterStaff.dec();
				allBtnStaff.trigger('unmark');
			}
		}),
		widgetGroups = new Jlms.Widget.Table({
			type: groupsContext,
			rowclickon: function(id){
				counterGroups.inc();				
			},	
			rowclickoff: function(id){
				counterGroups.dec();				
				allBtnGroups.trigger('unmark');
			}
		}),
		allBtnStudents = widgetStudents.dom.find('.all-btn').eq(0),
		allBtnStaff = widgetStaff.dom.find('.all-btn').eq(0),
		allBtnGroups = widgetGroups.dom.find('.all-btn').eq(0),		
		storageGroups = widgetGroups.getStorage(),
		storageStaff = widgetStaff.getStorage(),
		storageStudents = widgetStudents.getStorage(),
		elSearchStudents = widgetStudents.dom.find('.search').eq(0),
		elSearchStaff = widgetStaff.dom.find('.search').eq(0),
		elSearchGroups = widgetGroups.dom.find('.search').eq(0);		
	
	badges.each(function(){		
		$(this).hide();		
	});
	
	refreshStudentsTabByGroup = function(id) {
		var selectedGroups = storageGroups.getData('selected');			
			var data = {'groups': selectedGroups},
			exceptedStudents = storageStudents.getData('removed'),
			selectedStudents = storageStudents.getData('selected');
				
			if(exceptedStudents.length) {
				data.exceptedStudents = exceptedStudents;
			}
			
			if(selectedStudents.length) {
				data.selectedStudents = selectedStudents;
			}			
			
			$.ajax({
				 dataType: "json",			 
				 url: 'index.php?option=com_joomla_lms&task=users.users.jsoncountstudentsingroup',
				 data: data,
				 type: 'POST',
				 success: function(data){				
					counterStudents.set(data.count);					
				 }
			});
			
			widgetStudents.redraw(selectedGroups);
	}
		
	$('#filter_usergroup').on('change', function(e){
		var data = {filter:{usergroup:$(this).val()}};		
		widgetStudents.wrapper.load(pageUrl+'&context='+studentsContext, data, function(){	
			widgetStudents.wrapper.trigger('content-loaded');		
		});			
	});
	
	search = function(searchField, widget, context, reset) {
		var name = searchField.attr('name'),
			data = {};
		
		data[name] = (reset === true)?'':searchField.val();		
				
		widget.wrapper.load(pageUrl+'&context='+context+'&course_id='+courseId, data, function(){	
			widget.wrapper.trigger('content-loaded');
			
			if(reset) {
				searchField.val('');
			}
		});
	}	
	
	elSearchStudents.on('keypress', function(e) {		
		if(e.keyCode == 13) {
			search($(this), widgetStudents, studentsContext);
		}
	});
	
	widgetStudents.dom.find('.search-btn').on('click', function(e) {	
		search(elSearchStudents, widgetStudents, studentsContext);
	});
	
	widgetStudents.dom.find('.reset-btn').on('click', function(e) {			
		search(elSearchStudents, widgetStudents, studentsContext, true);
	});

	elSearchStaff.on('keypress', function(e) {	
		if(e.keyCode == 13) {
			search($(this), widgetStaff, staffContext);
		}
	});
	
	widgetStaff.dom.find('.search-btn').on('click', function(e) {	
		search(elSearchStaff, widgetStaff, staffContext);
	});
	
	widgetStaff.dom.find('.reset-btn').on('click', function(e) {	
		search(elSearchStaff, widgetStaff, staffContext, true);
	});	
	
	elSearchGroups.on('keypress', function(e) {	
		if(e.keyCode == 13) {
			search($(this), widgetGroups, groupsContext);
		}
	});
	
	widgetGroups.dom.find('.search-btn').on('click', function(e) {	
		search(elSearchGroups, widgetGroups, groupsContext);
	});
	
	widgetGroups.dom.find('.reset-btn').on('click', function(e) {	
		search(elSearchGroups, widgetGroups, groupsContext, true);
	});
	
	allBtnStudents.on('click', function(e) {
		selectAll($(this), widgetStudents, storageStudents, counterStudents);
	}).bind('unmark', function(e) {		
		$(this).removeClass('btn-info');		
	});
	
	allBtnStaff.on('click', function(e) {	
		selectAll($(this), widgetStaff, storageStaff, counterStaff);
	}).bind('unmark', function(e) {		
		$(this).removeClass('btn-info');		
	});
	
	allBtnGroups.on('click', function(e) {				
		selectAll($(this), widgetGroups, storageGroups, counterGroups);
	}).bind('unmark', function(e) {		
		$(this).removeClass('btn-info');		
	});
	
	selectAll = function(el, widget, storage, counter) {
		var total = el.data('total');
			
		if(el.hasClass('btn-info')) {			
			el.removeClass('btn-info');
			
			storage.removeData('removed');
			storage.removeData('selected');
				
			widget.allSelected(false);
			
			counter.set(0);
		} else {				
			el.addClass('btn-info');
			
			storage.removeData('removed');
			storage.removeData('selected');
						
			widget.allSelected(true);
			
			counter.set(total);
		}
		
		widget.redraw();
	}
	
	$('#contenttoolbar-button-save').on('click', function(e){
		var count = parseInt(counterStudents.value())+parseInt(counterStaff.value()),
			allStudentsSelected = widgetStudents.allSelected(),
			allStaffSelected = widgetStaff.allSelected(),
			allGroupsSelected = widgetGroups.allSelected(),						
			excludedStudentsExt = storageStudents.getExtData('removed'),
			excludedStudents = storageStudents.getData('removed'),
			excludedGroups = storageGroups.getData('removed'),
			excludedStaff = storageStaff.getData('removed');
		
		if(!parseInt(counterStudents.value())){
			allStudentsSelected = false;
			excludedStudents = excludedStudentsExt = [];
		}
		
		if(!parseInt(counterGroups.value())){
			allGroupsSelected = false;
			excludedGroups = [];
		}		
		
		if(!parseInt(counterStaff.value())){
			allStaffSelected = false;
			excludedStaff = [];
		}
		
		students = (allStudentsSelected? ['*']:storageStudents.getData('selected'));
		/*ext data it means that data involves groups id*/
		studentsExt = allStudentsSelected? ['*']: storageStudents.getExtData('selected');
		groups = allGroupsSelected? ['*']: storageGroups.getData('selected');		
		staff = allStaffSelected? ['*']: storageStaff.getData('selected');		
		
		window.parent.document.getElementById('jform_recipients').value = JSON.stringify({'students':studentsExt, 
			'groups':groups, 
			'staff':staff, 
			'excludedStudents':excludedStudentsExt,
			'excludedGroups':excludedGroups,
			'excludedStaff':excludedStaff
		});	
		
		var groupsNamesLabel = $(window.parent.document.getElementById(prefix+'-groups')),
			staffNamesLabel = $(window.parent.document.getElementById(prefix+'-staff')),
			studentsNamesLabel = $(window.parent.document.getElementById(prefix+'-students'))		
		
		$(window.parent.document).find('.'+prefix+'-names').remove();	
				
		$.ajax({
			 dataType: "json",			 
			 url: 'index.php?option=com_joomla_lms&task=users.users.jsonnamesdata&course_id='+courseId,
			 data: {
					'groups': groups, 
					'staff': staff, 
					'students': students,
					'excludedStudents':excludedStudents, 
					'excludedGroups':excludedGroups,
					'excludedStaff':excludedStaff
			},
			 type: 'POST',
			 success: function(data){				
				if(typeof data.groups == 'string') {
					groupsNamesLabel.removeClass('hidden')
						.siblings('.groupsmodal-names')
						.remove()
						.end()
						.after('<span class="groupsmodal-names">'+data.groups+'</span>');
				} else if(data.groups.length) {
					groupsNamesLabel.removeClass('hidden')
						.siblings('.groupsmodal-names')
						.remove()
						.end()
						.after('<span class="groupsmodal-names">'+data.groups.join(', ')+'</span>');
				} else {
					groupsNamesLabel.addClass('hidden')
						.siblings('.groupsmodal-names')
						.remove();					
				}				
				
				if(typeof data.staff == 'string') {
					staffNamesLabel.removeClass('hidden')
						.siblings('.staffmodal-names')
						.remove()
						.end()
						.after('<span class="staffmodal-names">'+data.staff+'</span>');
				} else if(data.staff.length) {
					staffNamesLabel.removeClass('hidden')
						.siblings('.staffmodal-names')
						.remove()
						.end()
						.after('<span class="staffmodal-names">'+data.staff.join(', ')+'</span>');
				} else {
					staffNamesLabel.addClass('hidden')
						.siblings('.staffmodal-names')
						.remove();
				}
				
				if(typeof data.students == 'string') {
					studentsNamesLabel.removeClass('hidden')
						.siblings('.studentsmodal-names')
						.remove()
						.end()
						.after('<span class="studentsmodal-names">'+data.students+'</span>');
				} else if(data.students.length) {					
					studentsNamesLabel.removeClass('hidden')
						.siblings('.studentsmodal-names')
						.remove()
						.end()
						.after('<span class="studentsmodal-names">'+data.students.join(', ')+'</span>');
				} else {
					studentsNamesLabel.addClass('hidden')
						.siblings('.studentsmodal-names')
						.remove();
				}
				
				window.parent.SqueezeBox.close();
			 }
		});		
		
		e.preventDefault();			
	})	
			
	if(recipients.groups == '*') {
		allBtnGroups.click();	
		
		if(recipients.excludedGroups.length){
			counterGroups.dec(recipients.excludedGroups.length);
			allBtnGroups.removeClass('btn-info');
		}
	} else {
		storageGroups.setData('selected', recipients.groups);		
		counterGroups.set(recipients.groups.length - recipients.excludedGroups.length);
		extIds = recipients.groups;
	}

	storageGroups.setData('removed', recipients.excludedGroups);
	
	if(recipients.excludedGroups.length) {
		allBtnGroups.trigger('unmark');
	}	
	
	if(recipients.staff == '*') {
		allBtnStaff.click();
		
		if(recipients.excludedStaff.length){
			counterStaff.dec(recipients.excludedStaff.length);
			allBtnStaff.removeClass('btn-info');
		}
	} else {
		storageStaff.setData('selected', recipients.staff);
		counterStaff.set(recipients.staff.length - recipients.excludedStaff.length);
	}
	
	storageStaff.setData('removed', recipients.excludedStaff);
	
	if(recipients.excludedStaff.length) {
		allBtnStaff.trigger('unmark');
	}
	
	var countStudents = 0;	
		
	for(var countExcluded=0; countExcluded < recipients.excludedStudents.length; countExcluded++);
	
	if(recipients.students == '*') {
		allBtnStudents.click();
		
		if(countExcluded){
			counterStudents.dec(countExcluded);
			allBtnStudents.removeClass('btn-info');
		}
	} else {	
		for(var student in recipients.students) {
			storageStudents.setData('selected', student, recipients.students[student][0]);
			countStudents++;
		}
		
		counterStudents.set(countStudents - countExcluded);
	}
	
	for(var i=0; i<recipients.excludedStudents.length; i++) {
		var excludedStudent = recipients.excludedStudents[i];
		storageStudents.setData('removed', student, recipients.excludedStudents[excludedStudent][0]);	
	}
	
	if(recipients.excludedStudents.length) {
		allBtnStudents.trigger('unmark');
	}	
	
	widgetStudents.redraw();
	widgetStaff.redraw();
	widgetGroups.redraw();	
});